---
title: 'Connect Auth'
description: 'This endpoint allows you to connect your auth account to a Snag account'
openapi: GET /api/{authType}/auth
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/{authType}/auth` — path parameters: `authType`; query parameters: `websiteId`, `userId`, `walletAddress`, `redirect`, `responseType`, `skipYTChannelCheck`, `emailAddress`

`GET https://admin.snagsolutions.io/api/{authType}/auth`

This endpoint allows you to connect your auth account to a Snag account

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `authType` (string, required)

## Query parameters

- `websiteId` (string) — The ID of the website
- `userId` (string) — The ID of the user
- `walletAddress` (string) — The wallet address of the user
- `redirect` (string) — The redirect URL where the user will land after completing the auth
- `responseType` (string) — The type of response to return, this is not valid for email auth, email auth only supports the redirect flow via verification link.
- `skipYTChannelCheck` (string) — Whether to skip the YouTube channel check, this is only value for google auth
- `emailAddress` (string) — The email address of the user, this is only required for email auth

## Response 200

200
  - response (object) — Schema for a connect social auth response schema
    - `url` (string, uri, required) — The URL to redirect to.

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
